%define _requires_exceptions devel\(linux-gate\)

%define __libtoolize    /bin/true
%define launchers /etc/dynamic/launchers/scanner

%define use_enable_final 0
%{?_no_enable_final: %{expand: %%global use_enable_final 0}}

%define unstable 0
%{?_unstable: %{expand: %%global unstable 1}}

%if %unstable
%define use_enable_final 0
%define dont_strip 1
%endif

Name: konversation
Version: 1.0.1
Release: %mkrel 8
Summary: A user friendly IRC Client for KDE
License: GPL
Group: Networking/IRC
URL: http://konversation.kde.org
Source0: http://download2.berlios.de/konversation/%{name}-%{version}.tar.bz2
Patch0: %{name}-0.19-default_channel.patch
Patch1: %{name}-1.0.1-add-audacious-to-media.patch
Patch2: %{name}-1.0.1-fix-dcc-crash.patch
Patch3: %{name}-1.0.1-SVN_r604746.diff 
Patch4:	%{name}-fix-fr-translation.patch
Patch5:	%{name}-1.0.1-fix-desktop-file.patch
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: kdelibs-devel

%description
Konversation is a graphical Internet Relay Chat client (IRC)
with KDE support.

Features:

* Standard IRC features
* SSL server support
* Bookmarking support
* Easy to use graphical user interface
* Multiple servers and channels in one single window
* DCC file transfer
* Multiple identities for different servers
* Text decorations and colors
* OnScreen Display for notifications
* Automatic UTF-8 detection
* Per channel encoding support
* Theme support for nick icons
* Highly configurable
						    
%post
%{update_menus}
%update_icon_cache crystalsvg
%update_icon_cache hicolor

%postun
%{clean_menus}
%clean_icon_cache crystalsvg
%clean_icon_cache hicolor

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README
%{_bindir}/%{name}
%{_bindir}/%{name}ircprotocolhandler
%dir %{_datadir}/apps/%{name}
%{_datadir}/apps/%{name}
%{_datadir}/applications/kde/%{name}.desktop
%{_iconsdir}/*/*/*/*
%_datadir/apps/kconf_update/*
%_docdir/HTML/*/konversation
%_datadir/config.kcfg/konversation.kcfg
%_datadir/services/*

#--------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1 -b .default_channel
%patch1 -p0 -b .add_audacious_to_media
%patch2 -p0 -b .fix_dcc_crash
%patch3 -p0 -b .fix_serveur_under_compiz
%patch4 -p0 -b .fix_fr_translation
%patch5 -p0 -b .fix_desktop_file

%build
%configure2_5x \
%if %unstable
	--enable-debug=full \
%else
	--disable-debug \
%endif
%if %use_enable_final
	--enable-final \
%else
	--disable-final \
%endif
	--disable-static \
%if "%{_lib}" != "lib"
    --enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})" \
%endif
	--disable-rpath \
	--with-xinerama 

%make

%install
rm -rf %{buildroot}

%makeinstall_std

%find_lang %{name}

%clean
rm -rf %{buildroot}



%changelog
* Wed Aug 01 2007 Helio Chissini de Castro <helio@mandriva.com> 1.0.1-8mdv2008.0
+ Revision: 57787
- Cleaned spec a little bit
- Keep flag enable_final off. was disabled before, but is workaround. Current patches togheter with
  1.0.1 make gcc preprocessor generates unqualified symbol errors, when doing the "join" of cpps.
  Need to be reported to konversarion devs.

* Wed Aug 01 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.1-7mdv2008.0
+ Revision: 57732
- fix mixture of tabs and spaces
- provide better description
- some minor cleans in spec file
- drop old menu directory
- use only konversation's upstream icons
- pass optimize options into configure

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Fix menu entry
    - [BUGFiX] Fix French translation (bug #22250)


* Wed Jan 17 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1.0.1-6mdv2007.0
+ Revision: 109700
- Add patch6 :  fix defective server list window with compiz
  thanks to david Barth to point this out.

* Mon Jan 08 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1.0.1-5mdv2007.1
+ Revision: 105486
- Add Patch5: Fix dcc crash (#28019)

* Thu Jan 04 2007 Laurent Montel <lmontel@mandriva.com> 1.0.1-4mdv2007.1
+ Revision: 104037
- Don't depend on metapackage kdebase

* Sat Dec 23 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.0.1-3mdv2007.1
+ Revision: 101890
- update release
- Add patch4 (138836 kde feature)

* Fri Oct 13 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.0.1-2mdv2006.0
+ Revision: 63788
- Rebuild
- New version 1.0.1

* Sat Sep 02 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.0-1mdv2007.0
+ Revision: 59393
- Fix File List

  + Laurent Montel <lmontel@mandriva.com>
    - version 1.0

* Fri Jun 23 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.19-7mdv2007.0
+ Revision: 37864
- Increase release
- Use Macros
- Increase Release
- Rebuild to regenerate category
- Add Warning
- import konversation-0.19-5mdv2007.0

* Fri Jun 02 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.19-1mdv2007.0
- Rebuild to fix menu
- Add Patch3: Fix Build with gcc 4.1.1

* Thu May 11 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.19-4mdk
- Rebuild to generate categories

* Mon Jan 30 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.19-3mdk
- Fix Requires : It requires kde3.4+ now

* Mon Jan 30 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.19-2mdk
- Drop patch 1 : Merged upstream
- Rediff patch 2

* Mon Jan 30 2006 Laurent MONTEL <lmontel@mandriva.com> 0.19-1
- 0.19

* Sat Dec 24 2005 Anssi Hannula <anssi@mandriva.org> 0.18-8mdk
- drop regenerating configure
- drop all the x86_64 build hacks, they actually prevented the build

* Fri Dec 02 2005 Marcel Pol <mpol@mandriva.org> 0.18-7mdk
- P1: default channel is #mandriva (freenode)

* Wed Sep 07 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.18-6mdk
- patch 1 : Fix Script Media Encoding

* Tue Aug 02 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.18-5mdk
- Remove Patch 0 : Unneeded

* Thu Jul 28 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.18-4mdk
- Cosmetics

* Sun May 08 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.18-3mdk
- Try to fix some translation mistakes

* Sun May 08 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.18-2mdk
- Use new tarball because previous was buggy

* Sun May 08 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.18-1mdk
- 0.18
- Add Patch 0  ( unblacklist gcc4 )

* Sat Apr 23 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.17-3mdk
- Sorry master boulet I really fix build for amd64 ;)

* Thu Apr 07 2005 Sebastien Savarin <plouf@mandrake.org> 0.17-2mdk
- Fix build on x86_64 thanks to 
  Nicolas Richard <kournikolas@yahoo.fr>

* Thu Apr 07 2005 Sebastien Savarin <plouf@mandrake.org> 0.17-1mdk
- 0.17

* Thu Mar 24 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.16-1mdk
- 0.16

* Wed Jan 19 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.15.1-1mdk
- 0.15.1

* Thu Dec 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.15-1mdk
- 0.15

* Tue Jul 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.14-1mdk
- 0.14

* Sun Jun 06 2004 Marcel Pol <mpol@mandrake.org> 0.13-2mdk
- reenable libtoolize

